Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph
Interface Hyperedge

All Superinterfaces:
  ArchetypeEdge, Cloneable, Element, UserDataContainer

All Known Implementing Classes:
  AbstractHyperedge, HyperedgeBPG

public interface Hyperedge
extends ArchetypeEdge

An element of a Hypergraph that connects to zero or more Hypervertices. Note that two different Hyperedges are NOT equal, even if they point to the same set of vertices. Also note that Hyperedge is mutable; it is possible to add and remove vertices from the edge.

Author:
  Danyel Fisher, Joshua O'Madadhain

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Method Summary
`boolean` | `connectVertex(Hypervertex hv1)` Connects `hv1` to this hyperedge and vice versa.
`boolean` | `disconnectVertex(Hypervertex hv1)` Disconnects `hv1` from this hyperedge and vice versa.

Methods inherited from interface edu.uci.ics.jung.graph.ArchetypeEdge
`copy, getEqualEdge, getEquivalentEdge, getIncidentVertices, isIncident, numVertices`

Methods inherited from interface edu.uci.ics.jung.graph.Element
`getGraph, getIncidentElements`

Methods inherited from interface edu.uci.ics.jung.utils.UserDataContainer
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDatum`

Method Detail

### connectVertex

    public boolean connectVertex(Hypervertex hv1)

  Connects `hv1` to this hyperedge and vice versa. Does not affect `hv1`'s membership in the graph. Equivalent to calling `hv1.connectEdge(this)`.

### disconnectVertex

    public boolean disconnectVertex(Hypervertex hv1)

  Disconnects `hv1` from this hyperedge and vice versa. Does not affect `hv1`'s membership in the graph. Equivalent to calling `hv1.disconnectEdge(this)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD